unit Devsel;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, AdPort, TComIni;

type
  TDeviceSelectForm = class(TForm)
    LayerGroup: TRadioGroup;
    BufferGroup: TRadioGroup;
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    procedure OkBtnClick(Sender: TObject);

  public
    constructor Create(AOwner : TComponent); override;
  end;

implementation

{$R *.DFM}

constructor TDeviceSelectForm.Create(AOwner : TComponent);
begin
  inherited Create(AOwner);

  if (Device = dlComm) then
    LayerGroup.ItemIndex := 0
  else
    LayerGroup.ItemIndex := 1;

  case InBuff of
    2048: BufferGroup.ItemIndex := 0;
    4096: BufferGroup.ItemIndex := 1;
    8192: BufferGroup.ItemIndex := 2;
    else
      BufferGroup.ItemIndex := 3;
  end;
end;

procedure TDeviceSelectForm.OkBtnClick(Sender: TObject);
begin
  case LayerGroup.ItemIndex of
    0: Device := dlComm;
    1: Device := dlFossil;
  end;

  case BufferGroup.ItemIndex of
    0: InBuff := 2048;
    1: InBuff := 4096;
    2: InBuff := 8192;
    3: InBuff := 16384;
  end;
end;

end.

