{$G+,X+}

{Conditional defines that may affect this unit}
{$I AWDEFINE.INC}

{*********************************************************}
{*                   GENPROT.PAS 1.01                    *}
{*        Copyright (c) TurboPower Software 1995         *}
{*                 All rights reserved.                  *}
{*********************************************************}

unit Genprot;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Buttons, AdMisc, AdProtcl, TComIni;

type
  TGeneralProtocolOptionsForm = class(TForm)
    NamingConflictGroup: TRadioGroup;
    GroupBox1: TGroupBox;
    SavePartialsBox: TCheckBox;
    RTSWhenWritingBox: TCheckBox;
    BitBtn1: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);

  public
    constructor Create(AOwner : TComponent); override;
  end;

implementation

{$R *.DFM}

  constructor TGeneralProtocolOptionsForm.Create(AOwner : TComponent);
  begin
    inherited Create(AOwner);

    NamingConflictGroup.ItemIndex := Ord(WriteOpt) - 1;
    SavePartialsBox.Checked       := SavePartials;
    RTSWhenWritingBox.Checked     := RTSWrite;
  end;

procedure TGeneralProtocolOptionsForm.BitBtn1Click(Sender: TObject);
begin
  WriteOpt     := TWriteFailAction(NamingConflictGroup.ItemIndex + 1);
  SavePartials := SavePartialsBox.Checked;
  RTSWrite     := RTSWhenWritingBox.Checked;
end;

end.

